package com.handong.smartservice.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface AccountMapper {

    List<Map<String, Object>> selectAccount(Boolean isCount, Boolean is_excel, Long offset, Long limit,
        String date_start, String date_end, Long gid, String user_id, String email, String nick_name, Long biz_group_id);

    List<Map<String, Object>> selectAccount2(Boolean isCount, Long offset, Long limit,
        String date_start, String date_end, Boolean is_excel, Long gid, String user_id, String email, String nick_name, Long biz_group_id);

    int insertAccount(Map<String, Object> params);

    int updateAccount(Long gid, String user_pw, String nick_name, String email, Long state, Long biz_group_id);

    int changeState(List<Long> ids, int state);
}
